summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-02-23 08:00:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-02-23 08:00:35 +0700
commit6e5e2121cdac0bb1256ea012b076ba1861401672 (patch)
treeddf3a1db9489f0a471b900dacfd009710b651d1a /system
parent27cfcc05a0aa06ddec0be57b15e252a2257b97ef (diff)
downloadslackbuilds-6e5e2121cdac0bb1256ea012b076ba1861401672.tar.gz
slackbuilds-6e5e2121cdac0bb1256ea012b076ba1861401672.tar.xz
system/steghide: Added (steganography program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/steghide/README4
-rw-r--r--system/steghide/gcc-4.2.patch75
-rw-r--r--system/steghide/slack-desc19
-rw-r--r--system/steghide/steghide-climits.patch11
-rw-r--r--system/steghide/steghide-gcc6.patch22
-rw-r--r--system/steghide/steghide.SlackBuild106
-rw-r--r--system/steghide/steghide.info10
7 files changed, 247 insertions, 0 deletions
diff --git a/system/steghide/README b/system/steghide/README
new file mode 100644
index 0000000000..021c40d4d7
--- /dev/null
+++ b/system/steghide/README
@@ -0,0 +1,4 @@
+Steghide is a steganography program that is able to hide data in
+various kinds of image- and audio-files.
+The color- respectivly sample-frequencies are not changed thus making
+the embedding resistant against first-order statistical tests. \ No newline at end of file
diff --git a/system/steghide/gcc-4.2.patch b/system/steghide/gcc-4.2.patch
new file mode 100644
index 0000000000..36848dd4c0
--- /dev/null
+++ b/system/steghide/gcc-4.2.patch
@@ -0,0 +1,75 @@
+diff -Naur steghide-0.5.1.orig/src/AuData.h steghide-0.5.1.new/src/AuData.h
+--- steghide-0.5.1.orig/src/AuData.h 2003-09-28 11:30:29.000000000 -0400
++++ steghide-0.5.1.new/src/AuData.h 2007-06-28 17:22:44.000000000 -0400
+@@ -26,22 +26,30 @@
+
+ // AuMuLawAudioData
+ typedef AudioDataImpl<AuMuLaw,BYTE> AuMuLawAudioData ;
++template<>
+ inline BYTE AuMuLawAudioData::readValue (BinaryIO* io) const { return (io->read8()) ; }
++template<>
+ inline void AuMuLawAudioData::writeValue (BinaryIO* io, BYTE v) const { io->write8(v) ; }
+
+ // AuPCM8AudioData
+ typedef AudioDataImpl<AuPCM8,SBYTE> AuPCM8AudioData ;
++template<>
+ inline SBYTE AuPCM8AudioData::readValue (BinaryIO* io) const { return ((SBYTE) io->read8()) ; }
++template<>
+ inline void AuPCM8AudioData::writeValue (BinaryIO* io, SBYTE v) const { io->write8((BYTE) v) ; }
+
+ // AuPCM16AudioData
+ typedef AudioDataImpl<AuPCM16,SWORD16> AuPCM16AudioData ;
++template<>
+ inline SWORD16 AuPCM16AudioData::readValue (BinaryIO* io) const { return ((SWORD16) io->read16_be()) ; }
++template<>
+ inline void AuPCM16AudioData::writeValue (BinaryIO* io, SWORD16 v) const { io->write16_be((UWORD16) v) ; }
+
+ // AuPCM32AudioData
+ typedef AudioDataImpl<AuPCM32,SWORD32> AuPCM32AudioData ;
++template<>
+ inline SWORD32 AuPCM32AudioData::readValue (BinaryIO* io) const { return ((SWORD32) io->read32_be()) ; }
++template<>
+ inline void AuPCM32AudioData::writeValue (BinaryIO* io, SWORD32 v) const { io->write32_be((UWORD32) v) ; }
+
+ #endif // ndef SH_AUDATA_H
+diff -Naur steghide-0.5.1.orig/src/AuSampleValues.cc steghide-0.5.1.new/src/AuSampleValues.cc
+--- steghide-0.5.1.orig/src/AuSampleValues.cc 2003-09-28 11:30:30.000000000 -0400
++++ steghide-0.5.1.new/src/AuSampleValues.cc 2007-06-28 17:23:52.000000000 -0400
+@@ -21,17 +21,25 @@
+ #include "AuSampleValues.h"
+
+ // AuMuLawSampleValue
++template<>
+ const BYTE AuMuLawSampleValue::MinValue = 0 ;
++template<>
+ const BYTE AuMuLawSampleValue::MaxValue = BYTE_MAX ;
+
+ // AuPCM8SampleValue
++template<>
+ const SBYTE AuPCM8SampleValue::MinValue = SBYTE_MIN ;
++template<>
+ const SBYTE AuPCM8SampleValue::MaxValue = SBYTE_MAX ;
+
+ // AuPCM16SampleValue
++template<>
+ const SWORD16 AuPCM16SampleValue::MinValue = SWORD16_MIN ;
++template<>
+ const SWORD16 AuPCM16SampleValue::MaxValue = SWORD16_MAX ;
+
+ // AuPCM32SampleValue
++template<>
+ const SWORD32 AuPCM32SampleValue::MinValue = SWORD32_MIN ;
++template<>
+ const SWORD32 AuPCM32SampleValue::MaxValue = SWORD32_MAX ;
+diff -Naur steghide-0.5.1.orig/src/MHashPP.cc steghide-0.5.1.new/src/MHashPP.cc
+--- steghide-0.5.1.orig/src/MHashPP.cc 2003-10-05 06:17:50.000000000 -0400
++++ steghide-0.5.1.new/src/MHashPP.cc 2007-06-28 17:22:44.000000000 -0400
+@@ -120,7 +120,7 @@
+
+ std::string MHashPP::getAlgorithmName (hashid id)
+ {
+- char *name = mhash_get_hash_name (id) ;
++ char *name = (char *) mhash_get_hash_name (id) ;
+ std::string retval ;
+ if (name == NULL) {
+ retval = std::string ("<algorithm not found>") ;
diff --git a/system/steghide/slack-desc b/system/steghide/slack-desc
new file mode 100644
index 0000000000..d10db1c3d4
--- /dev/null
+++ b/system/steghide/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+steghide: steghide (steganography program)
+steghide:
+steghide: Steghide is a steganography program that is able to hide data in
+steghide: various kinds of image- and audio-files.
+steghide: The color- respectivly sample-frequencies are not changed thus making
+steghide: the embedding resistant against first-order statistical tests.
+steghide:
+steghide:
+steghide: Project URL: http://steghide.sourceforge.net/
+steghide:
+steghide:
diff --git a/system/steghide/steghide-climits.patch b/system/steghide/steghide-climits.patch
new file mode 100644
index 0000000000..a7e54f51c1
--- /dev/null
+++ b/system/steghide/steghide-climits.patch
@@ -0,0 +1,11 @@
+diff -ruN steghide-0.5.1.orig/src/Graph.cc steghide-0.5.1/src/Graph.cc
+--- steghide-0.5.1.orig/src/Graph.cc 2003-10-11 23:54:26.000000000 +0200
++++ steghide-0.5.1/src/Graph.cc 2008-12-14 14:23:27.000000000 +0100
+@@ -22,6 +22,7 @@
+ #include <list>
+ #include <map>
+ #include <vector>
++#include <climits>
+
+ #include "BitString.h"
+ #include "CvrStgFile.h"
diff --git a/system/steghide/steghide-gcc6.patch b/system/steghide/steghide-gcc6.patch
new file mode 100644
index 0000000000..a3a3067912
--- /dev/null
+++ b/system/steghide/steghide-gcc6.patch
@@ -0,0 +1,22 @@
+--- steghide-0.5.1/src/Arguments.h.orig 2018-06-09 11:04:48.795952519 +0000
++++ steghide-0.5.1/src/Arguments.h 2018-06-09 11:00:57.239290249 +0000
+@@ -100,7 +100,7 @@
+ static const VERBOSITY Default_Verbosity = NORMAL ;
+ static const unsigned long Default_Radius = 0 ; // there is no default radius for all file formats
+ static const unsigned int Max_Algorithm = 3 ;
+- static const float Default_Goal = 100.0 ;
++ static constexpr float Default_Goal = 100.0 ;
+ static const DEBUGCOMMAND Default_DebugCommand = NONE ;
+ static const bool Default_Check = false ;
+ static const unsigned int Default_DebugLevel = 0 ;
+--- steghide-0.5.1/src/ProgressOutput.h.orig 2018-06-09 11:01:44.662622682 +0000
++++ steghide-0.5.1/src/ProgressOutput.h 2018-06-09 11:01:57.755955767 +0000
+@@ -64,7 +64,7 @@
+ **/
+ void done (float rate, float avgweight = NoAvgWeight) const ;
+
+- static const float NoAvgWeight = -1.0 ;
++ static constexpr float NoAvgWeight = -1.0 ;
+
+ protected:
+ std::string vcompose (const char *msgfmt, va_list ap) const ;
diff --git a/system/steghide/steghide.SlackBuild b/system/steghide/steghide.SlackBuild
new file mode 100644
index 0000000000..eaf19f30a7
--- /dev/null
+++ b/system/steghide/steghide.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for steghide
+
+# Copyright 2019 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=steghide
+VERSION=${VERSION:-0.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Thanks to Arch Linux for these patches
+patch -p1 < $CWD/gcc-4.2.patch
+patch -p1 < $CWD/steghide-climits.patch
+
+# This patch is for -current
+#patch -p1 < $CWD/steghide-gcc6.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS BUGS COPYING CREDITS HISTORY INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/system/steghide/steghide.info b/system/steghide/steghide.info
new file mode 100644
index 0000000000..ff45c520a0
--- /dev/null
+++ b/system/steghide/steghide.info
@@ -0,0 +1,10 @@
+PRGNAM="steghide"
+VERSION="0.5.1"
+HOMEPAGE="http://steghide.sourceforge.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/steghide/steghide-0.5.1.tar.bz2"
+MD5SUM="cf37f7ac51d36f66a8d6d155bbc90f17"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"